// pages/cardetail/cardetail.js


import { get } from "../../common/request.js"
import pathmap from "../../common/pathmap"
import stylemap from "../../common/stylemap"
import { retCartData } from "../../data/car"
Page({

  /**
   * 页面的初始数据
   */
  data: {
  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData(stylemap);
    this.getDetail(options.id);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  getDetail:function(id){
    var _self=this;
    get(pathmap.cardetail,{id:id},function(json){
      var detail = json.data;
      var time = detail.first_plate_at.split('-');
      /*数据结构处理*/
      detail.imgs = detail.imgs.split(",");
      detail.imgslength = detail.imgs.length;
      detail.first_plate_at = time[0]+"/"+time[1];
      _self.setData({
        detail:detail,
        id:id
      })
    })
  },
  switchTab:function(e){
    this.setData({
      currentimg: e.detail.current+1
    });
  }
})